\documentclass[tikz]{standalone}
\pagenumbering{gobble}
\usepackage{gitdags}

\begin{document}

\begin{tikzpicture}
  \gitDAG[grow right sep = 2em]{
    A -- {C, B} -- D
  };
  \gitbranch{master}{above=of D}{D}
  \gitremotebranch{origin/master}{below=of B}{B}
  \gitHEAD{above=of master}{master}
\end{tikzpicture}

\end{document}
